Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph.query
Interface ExpressionFunctionURIs

    public interface ExpressionFunctionURIs

ExpressionFunctionURIs: constants expressing the URIs for functions that may be recognised or generated by expression constructors and analysers.

Author:
  kers

Field Summary
`static java.lang.String` | `AND` Operator used to AND conditions together.
`static java.lang.String` | `J_contains` Function identfier for "L contains string literal R", generated by Rewrite.
`static java.lang.String` | `J_containsInsensitive`
`static java.lang.String` | `J_EndsWith` Function identfier for "L endsWith string literal R", generated by Rewrite.
`static java.lang.String` | `J_endsWithInsensitive`
`static java.lang.String` | `J_startsWith` Function identfier for "L startsWith string literal R", generated by Rewrite.
`static java.lang.String` | `J_startsWithInsensitive`
`static java.lang.String` | `prefix`
`static java.lang.String` | `Q_StringMatch` Function identifier for RDQL-style string-match operation.

Field Detail

### prefix

    static final java.lang.String prefix

See Also:
  Constant Field Values

### AND

    static final java.lang.String AND

  Operator used to AND conditions together. The Query.addConstraint() method explodes ANDed expressions into their components and keeps them separately.

  See Also:
    Constant Field Values

### J_EndsWith

    static final java.lang.String J_EndsWith

  Function identfier for "L endsWith string literal R", generated by Rewrite.

  See Also:
    Constant Field Values

### J_startsWith

    static final java.lang.String J_startsWith

  Function identfier for "L startsWith string literal R", generated by Rewrite.

  See Also:
    Constant Field Values

### J_startsWithInsensitive

    static final java.lang.String J_startsWithInsensitive

See Also:
  Constant Field Values

### J_endsWithInsensitive

    static final java.lang.String J_endsWithInsensitive

See Also:
  Constant Field Values

### J_contains

    static final java.lang.String J_contains

  Function identfier for "L contains string literal R", generated by Rewrite.

  See Also:
    Constant Field Values

### J_containsInsensitive

    static final java.lang.String J_containsInsensitive

See Also:
  Constant Field Values

### Q_StringMatch

    static final java.lang.String Q_StringMatch

  Function identifier for RDQL-style string-match operation. This is recognised by Query and rewritten by Rewrite to the J_* methods. The left operand may be any expression, but the right operand must be a PatternLiteral.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP